1. Ticket
Estaci.one Integration API
  • Fluxo de uso da API de Integração
  • OAuth
    • Recuperar token
      POST
  • Ticket
    • Emissão de ticket
      POST
    • Parse QrCode
      POST
    • Validação do ticket para uma loja
      POST
    • Adicionar transação ao ticket
      POST
  • Schemas
    • Money
    • Vehicle Details
    • Ticket Details
    • Provider Basic
    • Totem Basic
    • Transaction Details
    • 422
    • 400
  1. Ticket

Adicionar transação ao ticket

POST
/v1/tickets/{ticketNumber}/transactions
Adiciona uma transação ao ticket.

Request

Authorization
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Path Params

Header Params

Body Params application/json

Example
{
    "amount": 1000,
    "type": "payment",
    "method": "credit-card",
    "reference": "7618627AJKQ"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://partner-api.staging.estaci.one/v1/tickets/126.839.355.256-1/transactions' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "amount": 1000,
    "type": "payment",
    "method": "credit-card",
    "reference": "7618627AJKQ"
}'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "id": "string",
    "amount": {
        "amount": 0,
        "currency": "string"
    },
    "type": "payment",
    "method": "credit-card",
    "paidAt": "2019-08-24T14:15:22.123Z",
    "release": {
        "releaseValidUntil": "2019-08-24T14:15:22.123Z",
        "releaserType": "string",
        "releaserId": "string",
        "releaseAt": "2019-08-24T14:15:22.123Z"
    },
    "remainingAmount": {
        "amount": 0,
        "currency": "string"
    },
    "isCanceled": true,
    "cancelReason": "string",
    "canceledAt": "2019-08-24T14:15:22.123Z",
    "createdAt": "2019-08-24T14:15:22.123Z"
}
🟠400Bad Request
🟠401Unauthorized
🟠422Parameter Error
Modified at 2026-09-27 15:06:58
Previous
Validação do ticket para uma loja
Next
Money
Built with